Subject: Re: 23.0.90; decode-coding-region make emacs crash

From: Kenichi Handa <[email-masked]>
Date: Thu, 19 Feb 2009 12:56:42 +0900

In article <[email-masked]>, Chong Yidong <[email-masked]> writes:

> Kenichi Handa <[email-masked]> writes:
> > I found two bugs related to this problem, and just installed
> > a fix for one of them.  Now the above specific problem
> > should be fixed.  I'll keep on workning to fix the other bug
> > to make the decoding more robust.

> Thanks.  I think decode_coding should also verify the size of the
> unprocessed bytes before writing them to coding->carrover.  This way,
> future bugs of this sort will not cause memory corruption (which might
> be a security concern).  What's your opinion?

Yes.  I'm going to add such a check.

But it doesn't solve the underlying problem of handling too
long (and wrong) composition sequence in iso-2022 decoding.
Solving it requires a little bit more time.

---
Kenichi Handa
[email-masked]